---
apiVersion: apps/v1
items:
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "2"
      deployment.kubernetes.io/revision: "1"
    creationTimestamp: "2020-05-26T14:11:09Z"
    generation: 1
    labels:
      name: cluster-node-tuning-operator
      pod-template-hash: 79c9b99c7
    managedFields:
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:deployment.kubernetes.io/desired-replicas: {}
            f:deployment.kubernetes.io/max-replicas: {}
            f:deployment.kubernetes.io/revision: {}
          f:labels:
            .: {}
            f:name: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"2865014d-0c97-4411-8215-a81cec0ae4a8"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:replicas: {}
          f:selector:
            f:matchLabels:
              .: {}
              f:name: {}
              f:pod-template-hash: {}
          f:template:
            f:metadata:
              f:labels:
                .: {}
                f:name: {}
                f:pod-template-hash: {}
            f:spec:
              f:containers:
                k:{"name":"cluster-node-tuning-operator"}:
                  .: {}
                  f:args: {}
                  f:command: {}
                  f:env:
                    .: {}
                    k:{"name":"CLUSTER_NODE_TUNED_IMAGE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"POD_NAME"}:
                      .: {}
                      f:name: {}
                      f:valueFrom:
                        .: {}
                        f:fieldRef:
                          .: {}
                          f:apiVersion: {}
                          f:fieldPath: {}
                    k:{"name":"RELEASE_VERSION"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"RESYNC_PERIOD"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"WATCH_NAMESPACE"}:
                      .: {}
                      f:name: {}
                      f:valueFrom:
                        .: {}
                        f:fieldRef:
                          .: {}
                          f:apiVersion: {}
                          f:fieldPath: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
              f:dnsPolicy: {}
              f:nodeSelector:
                .: {}
                f:node-role.kubernetes.io/master: {}
              f:priorityClassName: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext:
                .: {}
                f:runAsNonRoot: {}
                f:runAsUser: {}
              f:serviceAccount: {}
              f:serviceAccountName: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
        f:status:
          f:availableReplicas: {}
          f:fullyLabeledReplicas: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T14:17:24Z"
    name: cluster-node-tuning-operator-79c9b99c7
    namespace: openshift-cluster-node-tuning-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: cluster-node-tuning-operator
      uid: 2865014d-0c97-4411-8215-a81cec0ae4a8
    resourceVersion: "3594"
    selfLink: /apis/apps/v1/namespaces/openshift-cluster-node-tuning-operator/replicasets/cluster-node-tuning-operator-79c9b99c7
    uid: cdcd7ba0-44b1-4ad7-84de-4440c7503749
  spec:
    replicas: 1
    selector:
      matchLabels:
        name: cluster-node-tuning-operator
        pod-template-hash: 79c9b99c7
    template:
      metadata:
        creationTimestamp: null
        labels:
          name: cluster-node-tuning-operator
          pod-template-hash: 79c9b99c7
      spec:
        containers:
        - args:
          - -v=0
          command:
          - cluster-node-tuning-operator
          env:
          - name: RELEASE_VERSION
            value: 0.0.1-2020-05-26-050349
          - name: WATCH_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          - name: POD_NAME
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.name
          - name: RESYNC_PERIOD
            value: "600"
          - name: CLUSTER_NODE_TUNED_IMAGE
            value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
          image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:896f77056906fe7dd2305318b1f15812496c4267df8095216f150dafc0060040
          imagePullPolicy: IfNotPresent
          name: cluster-node-tuning-operator
          resources:
            requests:
              cpu: 10m
              memory: 20Mi
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
        dnsPolicy: ClusterFirst
        nodeSelector:
          node-role.kubernetes.io/master: ""
        priorityClassName: system-cluster-critical
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          runAsNonRoot: true
          runAsUser: 499
        serviceAccount: cluster-node-tuning-operator
        serviceAccountName: cluster-node-tuning-operator
        terminationGracePeriodSeconds: 30
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/master
          operator: Exists
        - effect: NoExecute
          key: node.kubernetes.io/unreachable
          operator: Exists
          tolerationSeconds: 120
        - effect: NoExecute
          key: node.kubernetes.io/not-ready
          operator: Exists
          tolerationSeconds: 120
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
kind: ReplicaSetList
metadata:
  resourceVersion: "54289"
  selfLink: /apis/apps/v1/namespaces/openshift-cluster-node-tuning-operator/replicasets
